package com.yeejoin.amos.fas.dao.entity;


import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.EntityListeners;
import javax.persistence.MappedSuperclass;

import org.springframework.data.jpa.domain.support.AuditingEntityListener;


/**
 * 
 * <pre>
 * 涓氬姟瀹炰綋鎶借薄绫�
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: BusinessEntity.java, v 0.1 2018骞�5鏈�18鏃� 涓嬪崍2:27:17 as-guowubin Exp $
 */
@MappedSuperclass
@EntityListeners(value=AuditingEntityListener.class)
public abstract class BusinessEntity  implements Serializable
{
	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 鍒涘缓鏃堕棿
	 */
	@Column(name = "create_date",updatable = false)
	private Date createDate;
	/**
	 * 鍒涘缓鐢ㄦ埛
	 */
	@Column(name = "create_user",updatable = false)
	private String createUser;
	/**
	 * 鏇存柊鏃堕棿
	 */
	@Column(name = "update_date")
	private Date updateDate;
	/**
	 * 鏇存柊鐢ㄦ埛
	 */
	@Column(name = "update_user")
	private String updateUser;
	/**
	 * 鏄惁鍒犻櫎
	 */
	@Column(name = "is_delete")
	private Boolean isDelete = false;

	public Date getCreateDate()
	{
		return createDate;
	}

	public void setCreateDate(Date createDate)
	{
		this.createDate = createDate;
	}

	public String getCreateUser()
	{
		return createUser;
	}

	public void setCreateUser(String createUser)
	{
		this.createUser = createUser;
	}

	public Date getUpdateDate()
	{
		return updateDate;
	}

	public void setUpdateDate(Date updateDate)
	{
		this.updateDate = updateDate;
	}

	public String getUpdateUser()
	{
		return updateUser;
	}

	public void setUpdateUser(String updateUser)
	{
		this.updateUser = updateUser;
	}

	public Boolean getIsDelete()
	{
		return isDelete;
	}

	public void setIsDelete(Boolean isDelete)
	{
		this.isDelete = isDelete;
	}

}

